Autor Tema: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!  (Leído 18983 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado geminis_demon

  • Colaborador
  • *
  • Mensajes: 2377
  • Prácticas precisas precisan práctica
BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« en: 17-02-2015, 07:54 (Martes) »
Perdón por las mayúsculas, pero es que es importante que lo lean todos los usuarios de Wifislax.

Básicamente el problema consiste en que si utilizas Wifislax Updater para actualizar el sistema, este se corromperá y no podrás volver a arrancar Wifislax.

Esto sucede porque el updater elimina un paquete antes de instalar la versión mas nueva (removepkg && installpkg), cuando no se trata de archivos importantes no hay problema, pero hoy ha salido una actualización de coreutils que contiene archivos importantes del sistema, y al eliminarlos se corrompe el sistema.

El bug se arregla utilizando upgradepkg para actualizar los paquetes, que es la forma correcta de hacerlo y así tenía que haber sido desde el principio, pero bueno, de los errores se aprende...

Si has leído este mensaje tarde y ya se te ha roto el sistema, la solución es arrancar el live-usb o live-cd de Wifislax y ejecutar estos comandos (es necesario tener conexión a internet):

Código: [Seleccionar]
wget http://slackware.mirrors.tds.net/pub/slackware/slackware-current/slackware/a/coreutils-8.23-i486-1.txz
ROOT=/mnt/sdXX installpkg coreutils-8.23-i486-1.txz

Donde pone "sdXX" debes cambiarlo por el nombre de tu partición de Wifislax, esto puedes saberlo ejecutando "os-prober"

Una vez hecho esto, ya puedes arrancar Wifislax e instalar el módulo que pongo abajo para que no te vuelva a pasar lo mismo.

Si aún no has actualizado el sistema basta con instalar este módulo y ya podrás actualizar si problemas: http://www.downloadwireless.net/modulos/wifislax-4-10-1/WifislaxUpdaterGUI-1.0-noarch-1sw.xzm




La luz cree que viaja más rápido que cualquier otra cosa, pero se equivoca; da lo mismo lo rápido que pueda viajar, porque al final, la luz descubre que la oscuridad ha llegado antes que ella, y la está esperando.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14691
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #1 en: 17-02-2015, 13:02 (Martes) »
anoche lo rompi ...   ;D

aunque vi que coreutils se quedo sin instalar


inicie en live y lo instale desde el live


Código: [Seleccionar]
ROOT=/mnt/sda1 installpkg /ruta del txz

lo de upgradepkg , ... es la forma correcta,.

Garcia

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #2 en: 23-02-2015, 09:55 (Lunes) »
 Hola
 En cuanto a la instalación del updaterGUI, todo bien, he instalado el módulo en la partición Ws en HDD y en el liveCD
para que sea permanente

 El problema viene cuando instalo todos los archivos de esta actualización. El sistema se me va volviendo más lento
paulatinamente y llega un momento en que tarda "media hora" en abrir cualquier programa. En la gráfica del procesador (dos en mi caso) se observa un bucle. La única forma es reiniciar el sistema desde la shell

 He vuelto a instalar Wifislax dos veces y me ocurre lo mismo. Pero no consigo identificar cual (o cuales) pueden ser los
archivos que me causan este problema.


mayfield

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #3 en: 25-02-2015, 12:23 (Miércoles) »
Hola compañeros.

Yo aun estoy en 4.9 y descargue el actualizador para poder actualizar a 4.10.1 esa es mi intención, pero parece ser que no actualiza.
El equipo arranca con normalidad pero me da errores de actualización.



¿Algun tipo de solución?

Voy ahora mismo a probar los comandos que indicas en el post principal.

Gracias.

Un saludo.

PD: Probé los comandos indicados e instale lo sugerido pero ahora el updater me dice siempre que no hay actualizaciones y sigo estando en la 4.9.
Me vendria muy bien un poco de ayuda por favor, no quiero perder el sistema con todos sus programas y modificaciones que tiene ya hechas.
« Última modificación: 25-02-2015, 20:13 (Miércoles) por mayfield »

fdogr

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #4 en: 25-02-2015, 17:30 (Miércoles) »
Como curiosidad, tengo instalado wifislax en dos ordenadores, uno como sistema unico y otro en una particion secundaria, en uno actualice antes de ver este mensaje y reinstale (este) y en otro sobreescribi alguna libreria de wxpython  y gtk, me puse a borrar y reinstalar el parche que preparo Usuarionuevo y me lo cargue todo tambien, no se que co-o hice, porque aun sin tener idea usar remove e instalar un paquete... El caso acabo de reinstalar en este y en cuanto actualice me pongo con el otro .

Por cierto, ahora si descarga e instala django, cosa que antes de parchear las actualizaciones no ocurria.

Muchas gracias por el buen trabajo, salu2

mrsexmar

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #5 en: 26-02-2015, 01:36 (Jueves) »
Mil gracias !!!!!!

TOMY KAOS

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #6 en: 04-03-2015, 18:15 (Miércoles) »
hola, despues de romper dos veces x no leer, actualice el gui y aun asi a perdido cosas, a desaparecido el control de energia, el network manager y no reconoce ningun usb k conecto.

esta vez con al version nueva a actualizado bien, pero al reiniciar a dado error al cargar varios modulos.. es un portail gigabyte con 4 de ram , y win 7 y slax con kde, la regunta es ..

puedo cambiar a xforce sin instalar todo otra vez ?

gracias y perdonar mi ignorancia..

TOMY KAOS

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #7 en: 04-03-2015, 20:44 (Miércoles) »
Hola de nuevo, despues de leer e intentado instalar el modulo original de la iso con el instalador a disco duro de slax, el resultado a sido el mismo rotura de sistema, e vuelto a instalarlo pero en modo xforce, actualizare  la gui a la 1.0, descargare las 33 k me dice y comento. espero k solo sea un probema mio.


TOMY KAOS

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #8 en: 05-03-2015, 10:41 (Jueves) »
Hola, con xforce funciona todo, e recuperado la gestion de bateria la conexion a internet y los usb.

pero en el arranque da error en el network manager,
k modulo tengo k desactualizar para corregir esto?
gracias

Garcia

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #9 en: 08-03-2015, 17:46 (Domingo) »
 Hola, creo que el problema estaba en el util-linux. De hecho el paquete ya no está en el repositorio de Slackware.
Yo he vuelto a instalar en HDD y ahora me va bien. Uso el repositorio para las actualizaciones genéricas y el Updater
para las particulares de Wifislax.

 Aprovecho para volver a a felicitaros por el trabajo que haceis con Wifislax. Creo que este este sistema operativo
va más allá de la auditación de redes, es una alternativa a W7 bastante práctica, yo lo uso a diario.

 Saludos

TOMY KAOS

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #10 en: 09-03-2015, 01:43 (Lunes) »
muchas gracias, vovlere a probar, xk algunos paquetes me dan error en xfce, pero lo curioso es k funciona todo bien.....

salu2.

Chory

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #11 en: 16-03-2015, 23:00 (Lunes) »
Puff, a mi se me queda actualizando, ya llaga casi 9 horas, en 35/36.
Si le doy a cancelar, ya o me arranca

TOMY KAOS

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #12 en: 17-03-2015, 06:33 (Martes) »
NO e conseguido k funcione al actualizar, e optado x dejarlo tal y como viene, actualizando lo justo..

Chory

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #13 en: 17-03-2015, 12:52 (Martes) »
Vale es bueno saberlo

taka-bo

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #14 en: 19-03-2015, 02:15 (Jueves) »
Perdón por las mayúsculas, pero es que es importante que lo lean todos los usuarios de Wifislax.

Básicamente el problema consiste en que si utilizas Wifislax Updater para actualizar el sistema, este se corromperá y no podrás volver a arrancar Wifislax.

Esto sucede porque el updater elimina un paquete antes de instalar la versión mas nueva (removepkg && installpkg), cuando no se trata de archivos importantes no hay problema, pero hoy ha salido una actualización de coreutils que contiene archivos importantes del sistema, y al eliminarlos se corrompe el sistema.

El bug se arregla utilizando upgradepkg para actualizar los paquetes, que es la forma correcta de hacerlo y así tenía que haber sido desde el principio, pero bueno, de los errores se aprende...

Si has leído este mensaje tarde y ya se te ha roto el sistema, la solución es arrancar el live-usb o live-cd de Wifislax y ejecutar estos comandos (es necesario tener conexión a internet):

Código: [Seleccionar]
wget http://slackware.mirrors.tds.net/pub/slackware/slackware-current/slackware/a/coreutils-8.23-i486-1.txz
ROOT=/mnt/sdXX installpkg coreutils-8.23-i486-1.txz

Donde pone "sdXX" debes cambiarlo por el nombre de tu partición de Wifislax, esto puedes saberlo ejecutando "os-prober"

Una vez hecho esto, ya puedes arrancar Wifislax e instalar el módulo que pongo abajo para que no te vuelva a pasar lo mismo.

Si aún no has actualizado el sistema basta con instalar este módulo y ya podrás actualizar si problemas: http://www.downloadwireless.net/modulos/wifislax-4-10-1/WifislaxUpdaterGUI-1.0-noarch-1sw.xzm




Gracias por la informacion me estaba volviendo loco, yo lo actualice y no sabia ya que hacer.


Spanky37

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #15 en: 25-03-2015, 16:39 (Miércoles) »
Yo intente actualizar todo lo que me venía en la lista, aparentemente lo hizo, pero cuando reinicie, me di cuenta que cuando carga las primeras letras y demás, daba algún tipo de error, como si no encontrara alguna carpeta.

Quise probar alguna aplicación y me daba error tipico" no se puede procesar archivo hijo" o algo así.
Probé con cualquier aplicación, por mínima que sea (son muchas) y nada, mismo error.

Al final formatee y reinstalé.

Un saludo desde Asturias ;)

Aprendiz_01

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #16 en: 18-10-2015, 04:28 (Domingo) »
anoche lo rompi ...   ;D

aunque vi que coreutils se quedo sin instalar


inicie en live y lo instale desde el live


Código: [Seleccionar]
ROOT=/mnt/sda1 installpkg /ruta del txz

lo de upgradepkg , ... es la forma correcta,.


daniel180211

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #17 en: 28-02-2016, 17:05 (Domingo) »
he roto mas de dos veces el wifislax, porque no supe como actualizar los modulos o ejecutables. vi este post, pero los archivos para descargar no estan. por favor podrias enseñarme como actualizar los modulos correctamente sin que se rompa el wifislax o tenga algun otro problema?

P.D. : trate por el GUI y se rompio, trate por medio de actualizadores y da problemas.

saludos y gracias de antemano!

krowten

  • Visitante
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #18 en: 29-02-2016, 18:58 (Lunes) »
Gracias por la solución. Yo acabo de romper mi sistema con la novatada de actualizar-instalar bluez,blueman y bluedevil desde administrador de paquetes grafico. Ahora no arranca y en el inicio se queda en la linea : /usr/sbin/bluetoothd: /usr/lib/libdbus-1.so.3: no version information available (required by /usr/sbin/bluetoothd). La solución que aportas funcionaría ???. El problema es que no he podido hacer funcionar ninguno de mis mini dongles bluetooth. Ya había probado con hciconfig en consola pero tampoco. Nuevo en linux y wifislax. leo todo lo que puedo pero rara vez las soluciones resultan. No he encontrado nada sobre el tema. Mil disculpas si por aqui no es la vía!!. :-\

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14691
Re: BUG IMPORTANTE! LEER ANTES DE ACTUALIZAR EL SISTEMA!
« Respuesta #19 en: 29-02-2016, 20:04 (Lunes) »
Gracias por la solución. Yo acabo de romper mi sistema con la novatada de actualizar-instalar bluez,blueman y bluedevil desde administrador de paquetes grafico. Ahora no arranca y en el inicio se queda en la linea : /usr/sbin/bluetoothd: /usr/lib/libdbus-1.so.3: no version information available (required by /usr/sbin/bluetoothd). La solución que aportas funcionaría ???. El problema es que no he podido hacer funcionar ninguno de mis mini dongles bluetooth. Ya había probado con hciconfig en consola pero tampoco. Nuevo en linux y wifislax. leo todo lo que puedo pero rara vez las soluciones resultan. No he encontrado nada sobre el tema. Mil disculpas si por aqui no es la vía!!. :-\

es que no puedes actualizar los que quieras y ya.

los paquetes de slackware van todos o ninguno

//FINAL Y MÁS DOS RESPUESTAS